Falta Pyzmq al ejecutar el ipython notebook

Puedo ejecutar iPython, pero cuando bash iniciar una notebook, aparece el siguiente error:

~ ipython notebook Traceback (most recent call last): File "/usr/local/bin/ipython", line 8, in  load_entry_point('ipython==2.1.0', 'console_scripts', 'ipython')() File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/__init__.py", line 120, in start_ipython return launch_new_instance(argv=argv, **kwargs) File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 563, in launch_instance app.initialize(argv) File "", line 2, in initialize File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 92, in catch_config_error return method(app, *args, **kwargs) File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/terminal/ipapp.py", line 321, in initialize super(TerminalIPythonApp, self).initialize(argv) File "", line 2, in initialize File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 92, in catch_config_error return method(app, *args, **kwargs) File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/core/application.py", line 381, in initialize self.parse_command_line(argv) File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/terminal/ipapp.py", line 316, in parse_command_line return super(TerminalIPythonApp, self).parse_command_line(argv) File "", line 2, in parse_command_line File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 92, in catch_config_error return method(app, *args, **kwargs) File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 475, in parse_command_line return self.initialize_subcommand(subc, subargv) File "", line 2, in initialize_subcommand File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 92, in catch_config_error return method(app, *args, **kwargs) File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/config/application.py", line 406, in initialize_subcommand subapp = import_item(subapp) File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/utils/importstring.py", line 42, in import_item module = __import__(package, fromlist=[obj]) File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/html/notebookapp.py", line 39, in  check_for_zmq('2.1.11', 'IPython.html') File "/Library/Python/2.7/site-packages/ipython-2.1.0-py2.7.egg/IPython/utils/zmqrelated.py", line 37, in check_for_zmq raise ImportError("%s requires pyzmq >= %s"%(required_by, minimum_version)) ImportError: IPython.html requires pyzmq >= 2.1.11 

Pero por lo que puedo ver, ya tengo el paquete pyzmq instalado.

 ~ pip install pyzmq Requirement already satisfied (use --upgrade to upgrade): pyzmq in /Library/Python/2.7/site-packages/pyzmq-14.3.1-py2.7-macosx-10.6-intel.egg Cleaning up... 

Arg. La instalación de ipython es un poco idiosincrásica. Esto es lo que tuve que hacer para resolver esto:

 $ pip uninstall ipython $ pip install "ipython[all]" 

El problema es que los portátiles tienen su propio conjunto de dependencias, que no se instalan con pip install ipython . Sin embargo, después de instalar ipython , pip no ve la necesidad de agregar nada si luego intenta el formulario [all] .

Como se mencionó en los comentarios para algunos shells (por ejemplo, zsh), es necesario escapar o citar los corchetes ( pip install ipython\[all\] también funcionaría).

Para mí (Ubuntu 14.04.2) la instalación funcionó mediante el administrador de paquetes synaptic: el paquete se llama python3-zmq, con este paquete se instalará libzmq3.

Después de eso, compruebe si pyzmq está instalado correctamente:

 pip list 

Entonces instalé ipython:

 pip install "ipython[all]" 

Utilizando

 ipython2.7 notebook 

En lugar de

 ipython notebook 

Hizo el truco para mí.